clear;clc;
tspan=[0 40];
%x0=100*rand(1,2);
x0=[pi/3;2];
[t,x]=ode45(@damped_pendulum,tspan,x0);

fh = figure ;
set(fh,'numbertitle','off','name','The Simple Pendulum','color','w','menubar','none') ;
stop = uicontrol('style','toggle','string','stop','background','c','FontSize',20,'position',[300 100 70 50]);

h = plot(0,0,'MarkerSize',50,'Marker','.','LineWidth',3,'Color','b');
title('Simple Pendulum Animation','FontSize',20);
L=9.86;
range = 1.1*L;
axis([-range range -range range]);
axis square;
set(gca,'XTickLabelMode', 'manual', 'XTickLabel', [],'YTickLabelMode', .....
    'manual', 'YTickLabel', [],'nextplot','replacechildren');
grid on;

for i=1:size(x,1)-1
 % Animation Plot
    if (ishandle(h)==1)
        Xcoord=[0,L*sin(x(i,1))];
        Ycoord=[0,-L*cos(x(i,1))];
        set(h,'XData',Xcoord,'YData',Ycoord);
        if get(stop,'value')==0
            drawnow;
            pause(0.1);
        elseif get(stop,'value')==1
            break;
        end
    end        
end 
set(stop,'style','pushbutton','string','close','callback','close(gcf)');