clear;clc;figure;

tspan=[0 40];
x0=[pi/2;1];
ini_ang=abs(x0(1));
ini_vel=abs(x0(2));
[t,x]=ode45(@damped_pendulum,tspan,x0);

subplot(1,2,1);
grid on
hold on
title('Time-domain plot of pendulum','FontSize',20);
xlabel('Time (s)','FontSize',15);
ylabel('Angle (rad)','FontSize',15);

pause(0.5);
for i=1:length(t)-1
    plot([t(i) t(i+1)], [x(i,1) x(i+1,1)],'k','LineWidth',2);
    drawnow;
    %scatter(t(i),x(i,1),100,'r');
end
pause(0.5);
%plot(t, x(:,1),'k','LineWidth',2);
hold off

subplot(1,2,2);
grid on
hold on
title('Phase portrait of pendulum','FontSize',20)
xlabel('Angle (rad)','FontSize',15);
ylabel('Velocity (rad/s)','FontSize',15);
plot(x0(1),x0(2),'rs','MarkerSize',10,'MarkerFaceColor','b');
pause(0.5);

for i=1:length(t)-1
    plot([x(i,1) x(i+1,1)], [x(i,2) x(i+1,2)],'k','LineWidth',2);
    drawnow;
end
pause(0.5);
%plot(x(:,1), x(:,2),'k','LineWidth',2);
hold off
%{
plot(x(:,1), x(:,2),'k','LineWidth',3);
hold on;
plot(0,0,'rx','MarkerSize',20,'LineWidth',3);
hold off
%}