clear;clc;
figure;
grid on
hold on
title('Phase-state portrait of pendulum','FontSize',20)
xlabel('Angle (rad)','FontSize',15);
ylabel('Velocity (rad/s)','FontSize',15);
pause(0.5);
for i=1:3
    x0=3*rand(2,1);
    tspan=[0 35];
    [t,x]=ode45(@damped_pendulum,tspan,x0);
    plot(x0(1),x0(2),'rs','MarkerSize',15,'MarkerFaceColor','b');
    for j=1:length(t)
        plot(x(j,1), x(j,2),'o','MarkerSize',2,'MarkerEdgeColor',[(i+1)/10 i/5 (i+2)/12]);
        drawnow;
    end
    plot(x(:,1), x(:,2),'LineWidth',3,'Color',rand(1,3));
end
hold off;

 
   %{
    last=round(x(end,1)/(2*pi));
    if last>0
        x(:,1)=x(:,1)-last*2*pi;
    end
    %}