clear;clc;figure;

tspan = [0  30];
x0 = [pi/2;0];
ini=abs(x0(1));
[t,x]=ode45(@undamped_pendulum,tspan,x0);


subplot(1,2,1);
grid on
for i=1:length(t)-1
    hold on
    plot([t(i) t(i+1)], [x(i,1) x(i+1,1)],'k','LineWidth',2);
    scatter(t(i),x(i,1),100,'r');
    drawnow;
end
hold off
title('Time-domain plot of pendulum','FontSize',20);
xlabel('Time (s)','FontSize',15);
ylabel('Angle (rad)','FontSize',15);


subplot(1,2,2);
%axis([-ini*2 ini*2 -2 2]);
title('Phase portrait of pendulum','FontSize',20)
xlabel('Angle (rad)','FontSize',15);
ylabel('Velocity (rad/s)','FontSize',15);

grid on
for i=1:length(t)-1 
    hold on
    %plot([x(i,1) x(i+1,1)], [x(i,2) x(i+1,2)],'ro','LineWidth',3);
    scatter(x(i,1),x(i,2),100,'r');
    drawnow;
end
plot(x(:,1), x(:,2),'k','LineWidth',2);
hold off
%axis equal;